DC_DATETIME_MKTIME(3)

NAME
dc_datetime_mktime - convert an local date and time to a timestamp

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/datetime.h>
dc_ticks_t
dc_datetime_mktime(const dc_datetime_t *dt);

DESCRIPTION
Convert a broken-down local date and time created with dc_datetime_localtime(3) into an integral timestamp.

The dc_datetime_mktime function may internally invoke libc's mktime(3).

RETURN VALUES
This returns the integral time-stamp or -1 if the given date and time may not sanely be converted.

SEE ALSO
dc_datetime_gmtime(3), dc_datetime_localtime(3), dc_datetime_new(3)

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org. The manpages were written by Kristaps Dzonsons, kristaps@bsd.lv.